Manage Agent0 Automations
Create a new automation
post
/api/agentic-workflowsCreate a new automation for your organization.
Parameters 1
datasetqueryReferences Dataset
Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.
stringpattern
"^[a-zA-Z0-9_-]{3,26}$"bash
Sample request1234567891011121314151617181920212223242526272829curl --request POST 'https://api.eu-west-1.aws.dash0.com/api/agentic-workflows' \--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}" \--header 'Content-Type: application/json' \--data-raw '{"kind": "Dash0AgenticWorkflow","metadata": {"name": "Example"},"spec": {"enabled": true,"display": {"name": "Example"},"triggers": [{"kind": "schedule","spec": {"cron": "example"}}],"prompt": {"user": "example"},"guardrails": {"networkLevel": "no_network"}}}'
Request body required
References AgenticWorkflowCreateRequest
References AgenticWorkflowDefinition
Responses
The created automation
References AgenticWorkflowResponse
References AgenticWorkflowDefinition